;InnoSetupVersion=2.0.18

[Setup]
AppName=MySQL-Front
AppVerName=MySQL-Front 2.4
AppId=MySQL-Front
AppPublisher=Ansgar Becker
AppPublisherURL=http://www.mysqlfront.de/
AppSupportURL=http://www.anse.de/mysqlfront/
AppUpdatesURL=http://www.anse.de/download.php
DefaultDirName={pf}\MySQL-Front
DefaultGroupName=MySQL-Front
OutputBaseFilename=setup
Compression=zip
PrivilegesRequired=none
ChangesAssociations=yes
LicenseFile=embedded\License.txt
InfoAfterFile=embedded\InfoAfter.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\mysqlfront.exe"; DestDir: "{app}"; 
Source: "{app}\readme.txt"; DestDir: "{app}"; 
Source: "{app}\function.txt"; DestDir: "{app}"; 
Source: "{app}\libmySQL.dll"; DestDir: "{app}"; 
Source: "{app}\my.ini"; DestDir: "{app}"; 
Source: "{app}\mysqlfront.exe.manifest"; DestDir: "{app}"; 

[Registry]
Root: HKCR; Subkey: ".sql"; ValueType: String; ValueData: "SQLScriptFile"; Tasks: associatesqlfiles; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "SQLScriptFile"; ValueType: String; ValueData: "SQL-Script"; Tasks: associatesqlfiles; Flags: uninsdeletekey 
Root: HKCR; Subkey: "SQLScriptFile\DefaultIcon"; ValueType: String; ValueData: "{app}\mysqlfront.exe,0"; Tasks: associatesqlfiles; 
Root: HKCR; Subkey: "SQLScriptFile\shell\open\command"; ValueType: String; ValueData: """{app}\mysqlfront.exe"" ""%1"""; Tasks: associatesqlfiles; 

[INI]
FileName: "{app}\mysqlfront.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.anse.de/mysqlfront/"; 
FileName: "{app}\faq.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.anse.de/mysqlfront/faq.php"; 
FileName: "{app}\donate.url"; Section: "InternetShortcut"; Key: "URL"; String: "https://order.kagi.com/?G4T"; 

[Run]
Filename: "{app}\mysqlfront.exe"; Description: "Launch MySQL-Front"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\MySQL-Front"; Filename: "{app}\mysqlfront.exe"; 
Name: "{group}\MySQL-Front on the Web"; Filename: "{app}\mysqlfront.url"; 
Name: "{group}\Online-FAQ"; Filename: "{app}\faq.url"; 
Name: "{group}\Donate"; Filename: "{app}\donate.url"; 
Name: "{group}\Readme"; Filename: "{app}\readme.txt"; 
Name: "{group}\Edit configuration (my.ini)"; Filename: "{app}\my.ini"; 
Name: "{userdesktop}\MySQL-Front"; Filename: "{app}\mysqlfront.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\MySQL-Front"; Filename: "{app}\mysqlfront.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 
Name: "associatesqlfiles"; Description: "Associate .&SQL-Files with MySQL-Front"; GroupDescription: "Options:"; 

[UninstallDelete]
Type: files; Name: "{app}\mysqlfront.url"; 
Type: files; Name: "{app}\faq.url"; 
Type: files; Name: "{app}\donate.url"; 
